SIMPLE_ANIMAL_DEFINITIONS["mkdsmario"] = {
  ["goal"] = {S},
  ["stand"] = {A, B},
  ["stand_left"] = {C, D},
  ["stand_right"] = {E, F},
  ["walk"] = {J, G},
  ["walk_left"] = {K, H},
  ["walk_right"] = {L, I},
  ["run"] = {A, J},
  ["run_left"] = {C, K},
  ["run_right"] = {E, L},
  ["drift_left"] = {M, N},
  ["drift_right"] = {O, P},
  ["spin"] = {Q},
  ["pain"] = {Q},
  ["squish"] = {R},
  ["star"] = {T, T, T, T, T, U, U, U, U, U}
}

function SIMPLE_ANIMAL_HOOKS.star_dance(mobj, sequences)
  if mobj.skin == "mkdsmario"
    local helpers = _G["SIMPLE_ANIMAL_HELPERS"]
	
    if helpers.isInvincible(mobj)
      return "star"
    end
  end
end